<html>
<head>
<title>OGRE: Ogre::MeshLodUsage Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1MeshLodUsage.html">MeshLodUsage</a></div>
<h1>Ogre::MeshLodUsage Struct Reference</h1><!-- doxytag: class="Ogre::MeshLodUsage" -->A way of recording the way each LODs is recorded this <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreMesh_8h-source.html">OgreMesh.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1MeshLodUsage-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshLodUsage.html#d66b926054e26a4ac0eb4ec250e0334e">fromDepthSquared</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">squared Z value from which this LOD will apply  <a href="#d66b926054e26a4ac0eb4ec250e0334e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshLodUsage.html#7fb356beacea9effe6462ef8b14d5f72">manualName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Only relevant if mIsLodManual is true, the name of the alternative mesh to use.  <a href="#7fb356beacea9effe6462ef8b14d5f72"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MeshPtr.html">MeshPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshLodUsage.html#5749654233531c2be7509f795321504f">manualMesh</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Hard link to mesh to avoid looking up each time.  <a href="#5749654233531c2be7509f795321504f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1EdgeData.html">EdgeData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MeshLodUsage.html#e42184abf768e9c0cf42458112f2c082">edgeData</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Edge list for this LOD level (may be derived from manual mesh).  <a href="#e42184abf768e9c0cf42458112f2c082"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A way of recording the way each LODs is recorded this <a class="el" href="classOgre_1_1Mesh.html">Mesh</a>. 
<p>

<p>Definition at line <a class="el" href="OgreMesh_8h-source.html#l00859">859</a> of file <a class="el" href="OgreMesh_8h-source.html">OgreMesh.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="d66b926054e26a4ac0eb4ec250e0334e"></a><!-- doxytag: member="Ogre::MeshLodUsage::fromDepthSquared" ref="d66b926054e26a4ac0eb4ec250e0334e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1MeshLodUsage.html#d66b926054e26a4ac0eb4ec250e0334e">Ogre::MeshLodUsage::fromDepthSquared</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
squared Z value from which this LOD will apply 
<p>

<p>Definition at line <a class="el" href="OgreMesh_8h-source.html#l00862">862</a> of file <a class="el" href="OgreMesh_8h-source.html">OgreMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7fb356beacea9effe6462ef8b14d5f72"></a><!-- doxytag: member="Ogre::MeshLodUsage::manualName" ref="7fb356beacea9effe6462ef8b14d5f72" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MeshLodUsage.html#7fb356beacea9effe6462ef8b14d5f72">Ogre::MeshLodUsage::manualName</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Only relevant if mIsLodManual is true, the name of the alternative mesh to use. 
<p>

<p>Definition at line <a class="el" href="OgreMesh_8h-source.html#l00864">864</a> of file <a class="el" href="OgreMesh_8h-source.html">OgreMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5749654233531c2be7509f795321504f"></a><!-- doxytag: member="Ogre::MeshLodUsage::manualMesh" ref="5749654233531c2be7509f795321504f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MeshPtr.html">MeshPtr</a> <a class="el" href="structOgre_1_1MeshLodUsage.html#5749654233531c2be7509f795321504f">Ogre::MeshLodUsage::manualMesh</a><code> [mutable]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Hard link to mesh to avoid looking up each time. 
<p>

<p>Definition at line <a class="el" href="OgreMesh_8h-source.html#l00866">866</a> of file <a class="el" href="OgreMesh_8h-source.html">OgreMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e42184abf768e9c0cf42458112f2c082"></a><!-- doxytag: member="Ogre::MeshLodUsage::edgeData" ref="e42184abf768e9c0cf42458112f2c082" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1EdgeData.html">EdgeData</a>* <a class="el" href="structOgre_1_1MeshLodUsage.html#e42184abf768e9c0cf42458112f2c082">Ogre::MeshLodUsage::edgeData</a><code> [mutable]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Edge list for this LOD level (may be derived from manual mesh). 
<p>

<p>Definition at line <a class="el" href="OgreMesh_8h-source.html#l00868">868</a> of file <a class="el" href="OgreMesh_8h-source.html">OgreMesh.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreMesh_8h-source.html">OgreMesh.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:38 2008
</p>
</body>
</html>
